Create auto-schedule conversation

Creates a scheduling conversation in Popp application. This endpoint is used for meeting scheduling workflows where participants can provide their availability and a meeting will be scheduled automatically.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

The input to create a scheduling conversation

Either campaignId or externalCampaignId is required.

string
^\+[1-9]\d{1,14}$

The phone number of the candidate, in E.164 format. Either phoneNumber or emailAddress is required; both may be supplied, in which case email is used as a fallback when the phone number cannot be parsed.

string

The country code in ISO 3166-1 alpha-2 format. This is used to format the phone number if it is not in E.164 format.

string
required

The first name of the candidate.

string

The last name of the candidate.

string

The email address of the candidate. Either phoneNumber or emailAddress is required.

string
required

The unique identifier for the campaign. Either campaignId or externalCampaignId is required.

string

The unique identifier for the campaign in the external system. Either campaignId or externalCampaignId is required.

string

The unique identifier for the conversation in the external system.

boolean

If true, skips the check for existing conversations with the same phone number/email and campaign.

boolean

If true, the initial message will be scheduled to send during business hours. The timezone is inferred from the phone number.

meetingParticipants
array of objects
required
length ≥ 1

List of participants for the meeting. Exactly one participant must be marked as organizer — this endpoint always schedules a collective meeting, where every participant must be able to attend. Each participant must be able to supply availability one of three ways: a connected calendar (isCalendarConnected true), pre-defined availability.timeSlots, or autoCollectAvailability. Any combination of the three across the panel is allowed.

Meeting Participants*
meetingConfiguration
object
required

Configuration for the meeting to be scheduled.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json